Debian Bug report logs - #669604
kbdcontrol can't load any keymap

version graph

Package: kfreebsd-image-8.3-1-amd64; Maintainer for kfreebsd-image-8.3-1-amd64 is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>; Source for kfreebsd-image-8.3-1-amd64 is src:kfreebsd-8.

Reported by: Anton Zinoviev <anton@lml.bas.bg>

Date: Fri, 20 Apr 2012 12:00:01 UTC

Severity: important

Tags: moreinfo

Fixed in version 8.3-7+rm

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#669604; Package kbdcontrol. (Fri, 20 Apr 2012 12:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anton Zinoviev <anton@lml.bas.bg>:
New Bug report received and forwarded. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Fri, 20 Apr 2012 12:00:21 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Anton Zinoviev <anton@lml.bas.bg>
To: submit@bugs.debian.org
Subject: kbdcontrol can't load any keymap
Date: Fri, 20 Apr 2012 14:34:01 +0300
Package: kbdcontrol
Version: 9.0+ds1-1
Severity: grave

I am not sure whether this bug belongs to kbdcontrol or to the kernel.  
I am unable to use kbdcontrol for any keymap.  Even for a simplest test 
one-line keymap it issues the following error message:

# kbdcontrol -l any_file.kbd
kbdcontrol: setting keymap: Inappropriate ioctl for device

I observed this bug on testing(wheezy).  After I upgraded the system to 
unstable(sid) the bug still remains.

Anton Zinoviev

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: kfreebsd-amd64 (x86_64)

Kernel: kFreeBSD 8.2-1-amd64
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages kbdcontrol depends on:
ii  debconf [debconf-2.0]  1.5.42
ii  libbsd0                0.3.0-2
ii  libc0.1                2.13-27

kbdcontrol recommends no packages.

kbdcontrol suggests no packages.

-- debconf information:
* kbdcontrol/keymap: us.iso.kbd




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#669604; Package kbdcontrol. (Fri, 20 Apr 2012 21:27:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Fri, 20 Apr 2012 21:27:12 GMT) Full text and rfc822 format available.

Message #10 received at 669604@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Anton Zinoviev <anton@lml.bas.bg>, 669604@bugs.debian.org
Subject: Re: Bug#669604: kbdcontrol can't load any keymap
Date: Fri, 20 Apr 2012 23:07:06 +0200
El 20 d’abril de 2012 13:34, Anton Zinoviev <anton@lml.bas.bg> ha escrit:
> # kbdcontrol -l any_file.kbd
> kbdcontrol: setting keymap: Inappropriate ioctl for device

Try:

kbdcontrol -l file.kbd < /dev/console

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#669604; Package kbdcontrol. (Wed, 16 May 2012 21:30:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Wed, 16 May 2012 21:30:15 GMT) Full text and rfc822 format available.

Message #15 received at 669604@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Anton Zinoviev <anton@lml.bas.bg>, 669604@bugs.debian.org
Subject: Re: Bug#669604: kbdcontrol can't load any keymap
Date: Wed, 16 May 2012 23:28:29 +0200
tag 669604 unreproducible moreinfo
thanks

Hi Anton,

2012/4/20 Robert Millan <rmh@debian.org>:
> El 20 d’abril de 2012 13:34, Anton Zinoviev <anton@lml.bas.bg> ha escrit:
>> # kbdcontrol -l any_file.kbd
>> kbdcontrol: setting keymap: Inappropriate ioctl for device
>
> Try:
>
> kbdcontrol -l file.kbd < /dev/console

"< /dev/console" works for me.  If I don't hear any more news on this,
I'll assume that it also works for everyone else and consider this bug
as fixed.

-- 
Robert Millan




Added tag(s) unreproducible and moreinfo. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Wed, 16 May 2012 21:30:26 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#669604; Package kbdcontrol. (Sat, 19 May 2012 14:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillem Jover <guillem@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sat, 19 May 2012 14:45:08 GMT) Full text and rfc822 format available.

Message #22 received at 669604@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: Robert Millan <rmh@debian.org>, 669604@bugs.debian.org
Subject: Re: Bug#669604: kbdcontrol can't load any keymap
Date: Sat, 19 May 2012 16:42:35 +0200
On Wed, 2012-05-16 at 23:28:29 +0200, Robert Millan wrote:
> tag 669604 unreproducible moreinfo
> thanks

> 2012/4/20 Robert Millan <rmh@debian.org>:
> > El 20 d’abril de 2012 13:34, Anton Zinoviev <anton@lml.bas.bg> ha escrit:
> >> # kbdcontrol -l any_file.kbd
> >> kbdcontrol: setting keymap: Inappropriate ioctl for device
> >
> > Try:
> >
> > kbdcontrol -l file.kbd < /dev/console
> 
> "< /dev/console" works for me.  If I don't hear any more news on this,
> I'll assume that it also works for everyone else and consider this bug
> as fixed.

I experienced this too when running a kfreebsd 8.2 kernel, it went
away when switching to either 8.3 or 9.0, IIRC.

Seeing the initial System Information from Anton, this would seems to
confirm it.

thanks,
guillem




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#669604; Package kbdcontrol. (Wed, 23 May 2012 21:11:53 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anton Zinoviev <anton@lml.bas.bg>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Wed, 23 May 2012 21:11:54 GMT) Full text and rfc822 format available.

Message #27 received at 669604@bugs.debian.org (full text, mbox):

From: Anton Zinoviev <anton@lml.bas.bg>
To: 669604@bugs.debian.org
Subject: Re: Bug#669604: kbdcontrol can't load any keymap
Date: Wed, 23 May 2012 23:26:35 +0300
On Wed, May 16, 2012 at 11:28:29PM +0200, Robert Millan wrote:
> 
> "< /dev/console" works for me.  If I don't hear any more news on this,
> I'll assume that it also works for everyone else and consider this bug
> as fixed.

No, this doesn't work for me.  Unfortunately I have upgraded from kernel 
8.2 to 8.3 so this doesn't help.

Anton Zinoviev





Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#669604; Package kbdcontrol. (Sat, 09 Jun 2012 14:54:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sat, 09 Jun 2012 14:54:17 GMT) Full text and rfc822 format available.

Message #32 received at 669604@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Anton Zinoviev <anton@lml.bas.bg>, 669604@bugs.debian.org
Subject: Re: Bug#669604: kbdcontrol can't load any keymap
Date: Sat, 9 Jun 2012 16:53:05 +0200
tag 669604 - unreproducible
reassign 669604 kfreebsd-image-8.3-1-amd64
thanks

It seems to be a compatibility problem with kfreebsd 8.3 (see also #658617).

9.0 is OK.

2012/5/23 Anton Zinoviev <anton@lml.bas.bg>:
> On Wed, May 16, 2012 at 11:28:29PM +0200, Robert Millan wrote:
>>
>> "< /dev/console" works for me.  If I don't hear any more news on this,
>> I'll assume that it also works for everyone else and consider this bug
>> as fixed.
>
> No, this doesn't work for me.  Unfortunately I have upgraded from kernel
> 8.2 to 8.3 so this doesn't help.
>
> Anton Zinoviev
>
>
>
>
> --
> To UNSUBSCRIBE, email to debian-bsd-REQUEST@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
> Archive: http://lists.debian.org/20120523202635.GA3534@debian.lan
>



-- 
Robert Millan




Removed tag(s) unreproducible. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Sat, 09 Jun 2012 14:54:20 GMT) Full text and rfc822 format available.

Bug reassigned from package 'kbdcontrol' to 'kfreebsd-image-8.3-1-amd64'. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Sat, 09 Jun 2012 14:54:21 GMT) Full text and rfc822 format available.

No longer marked as found in versions freebsd-utils/9.0+ds1-1. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Sat, 09 Jun 2012 14:54:21 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#669604; Package kfreebsd-image-8.3-1-amd64. (Thu, 05 Jul 2012 18:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Thu, 05 Jul 2012 18:51:03 GMT) Full text and rfc822 format available.

Message #43 received at 669604@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 669604@bugs.debian.org
Subject: kbdcontrol can't load any keymap
Date: Thu, 5 Jul 2012 20:48:31 +0200
severity 669604 important
thanks

Hi,

I don't think it's going to be possible to fix this in Wheezy.
However, kfreebsd 8.3 is no longer the default for new installs (even
if 8.3 is selected during install process), nor for upgrades from
Squeeze.

Given this situation, I don't think it's so important as to consider it RC.

If it is really unacceptable to inclide kfreebsd 8.3 in this state for
Wheezy, then there's the alternative of removing this package. Lack of
kfreebsd 8.x doesn't compromise the release as kfreebsd 9.0 is
perfectly usable now.

-- 
Robert Millan




Severity set to 'important' from 'grave' Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Thu, 05 Jul 2012 18:51:05 GMT) Full text and rfc822 format available.

Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Mon, 02 Sep 2013 21:18:58 GMT) Full text and rfc822 format available.

Notification sent to Anton Zinoviev <anton@lml.bas.bg>:
Bug acknowledged by developer. (Mon, 02 Sep 2013 21:18:58 GMT) Full text and rfc822 format available.

Message #50 received at 669604-done@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 550429-done@bugs.debian.org,570805-done@bugs.debian.org,593733-done@bugs.debian.org,601273-done@bugs.debian.org,602120-done@bugs.debian.org,610252-done@bugs.debian.org,614419-done@bugs.debian.org,631613-done@bugs.debian.org,641167-done@bugs.debian.org,644353-done@bugs.debian.org,644718-done@bugs.debian.org,658617-done@bugs.debian.org,669604-done@bugs.debian.org,687788-done@bugs.debian.org,690986-done@bugs.debian.org,706418-done@bugs.debian.org,720470-done@bugs.debian.org,720476-done@bugs.debian.org,
Cc: kfreebsd-8@packages.debian.org, kfreebsd-8@packages.qa.debian.org
Subject: Bug#721540: Removed package(s) from unstable
Date: Mon, 02 Sep 2013 21:16:43 +0000
Version: 8.3-7+rm

Dear submitter,

as the package kfreebsd-8 has just been removed from the Debian archive
unstable we hereby close the associated bug reports.  We are sorry
that we couldn't deal with your issue properly.

For details on the removal, please see http://bugs.debian.org/721540

The version of this package that was in Debian prior to this removal
can still be found using http://snapshot.debian.org/.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@ftp-master.debian.org.

Debian distribution maintenance software
pp.
Luca Falavigna (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 01 Oct 2013 07:26:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 13:02:21 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.